Module ij
Package ij.plugin

# Class ScaleBar

java.lang.Object
ij.plugin.ScaleBar

All Implemented Interfaces:
  `PlugIn`

public class ScaleBar extends Object implements PlugIn
This plugin implements the Analyze/Tools/Scale Bar command. Divakar Ramachandran added options to draw a background and use a serif font on 23 April 2006. Remi Berthoz added an option to draw vertical scale bars on 17 September 2021.

## Constructor Summary

Constructors
Constructor
Description
`ScaleBar()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScaleBar

public ScaleBar()

## Method Details

### run

public void run(String arg)
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`